<solidify-base-action-dialog [titleToTranslate]="'archiveAcl.dialog.submit.title' | translate">
  <p>{{"archiveAcl.dialog.submit.message" | translate:paramMessage}}</p>

</solidify-base-action-dialog>

<div mat-dialog-actions>
  <button [mat-dialog-close]=""
          cdkFocusInitial
          mat-button
          color="primary"
  >{{labelTranslateEnum.cancel | translate}}
  </button>

  <button (click)="onSubmit()"
          (onEnter)="onSubmit()"
          [color]="'primary'"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.yesImSure | translate}}
  </button>
</div>
